## com.google.gwt.core.client
Class JavaScriptException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gwt.core.client.JavaScriptException

All Implemented Interfaces:
  java.io.Serializable

    public final class JavaScriptException

extends java.lang.RuntimeException

Any JavaScript exceptions occurring within JSNI methods are wrapped as this class when caught in Java code. The wrapping does not occur until the exception passes out of JSNI into Java. Before that, the thrown object remains a native JavaScript exception object, and can be caught in JSNI as normal.

See Also:
  Serialized Form

Constructor Summary
`` `JavaScriptException(java.lang.Object e)`
`protected` `JavaScriptException(java.lang.String message)` Used for server-side instantiation during JUnit runs.
`` `JavaScriptException(java.lang.String name, java.lang.String description)`

Method Summary
`java.lang.String` `getDescription()` Returns the original JavaScript message of the exception; may be `null`.
`JavaScriptObject` `getException()` Returns the original JavaScript the exception; may be `null`.
`java.lang.String` `getName()` Returns the original JavaScript type name of the exception; may be `null`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaScriptException

    public JavaScriptException(java.lang.Object e)

Parameters:
  `e` - the object caught in JavaScript that triggered the exception

### JavaScriptException

    public JavaScriptException(java.lang.String name,
                               java.lang.String description)

### JavaScriptException

    protected JavaScriptException(java.lang.String message)

  Used for server-side instantiation during JUnit runs. Exceptions are manually marshaled through `com.google.gwt.junit.client.impl.ExceptionWrapper` objects.

  Parameters:
    `message` - the detail message

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns the original JavaScript message of the exception; may be `null`.

### getException

    public JavaScriptObject getException()

  Returns the original JavaScript the exception; may be `null`.

### getName

    public java.lang.String getName()

  Returns the original JavaScript type name of the exception; may be `null`.